<%-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@include file="/shell/default.jspf"%>
<%@ taglib uri="http://www.sas.com/cpb/tag" prefix="cpb"%>
<%@ taglib prefix="sas" uri="http://www.sas.com/taglib/sas" %>
<%@ taglib prefix="c"      uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="com.sas.solutions.casemgmt.web.cases.*"%>
<%@page import="com.sas.solutions.casemgmt.web.util.WebUtil"%>
<%@page import="com.sas.solutions.casemgmt.web.util.Referrer"%>
<%@page import="com.sas.solutions.cpb.web.util.CPBUtil"%>
<%@ page import="com.sas.fsd.shared.util.StringUtil" %>
<%
CaseActionModel model = CaseActionModel.getFromRequest(request);
%>
<script type="text/javascript">
Case.FORM_NAME = "<%=StringUtil.escapeJSForHTML(model.getFormName())%>";
Case.OBJECT_TYPE = "<%=StringUtil.escapeJSForHTML(model.getObjectTypeId())%>";
Case.KEY = "<%=StringUtil.escapeJSForHTML(model.getEntityKey())%>";
Case.ID = "<%=StringUtil.escapeJSForHTML(model.getEntity().getId())%>";
Case.EDITABLE = <%=StringUtil.escapeJSForHTML(model.isPageEditable())%>;
Case.UI_CONTEXT_ID = "<%=StringUtil.escapeJSForHTML(model.getForm().getUiContextId())%>";
Case.REFERRER = "<%=StringUtil.escapeJSForHTML(Referrer.CASE)%>";
Case.TITLE = "<%=CPBUtil.getPageTitle(request)%>";
Case.SAVED = <%=model.getEntity().isSaved()%>;
WorkflowCommon.FORM_NAME = "<%=StringUtil.escapeJSForHTML(model.getFormName())%>";

<%
if (model.isPageEditable() && (!model.getEntity().isSaved() || model.hasErrorMessages())) 
{
%>
SaveChangesConfirmation.setPageDirty(true);
<%
}
%>
<%
if (WebUtil.hasPageErrors(request))
{
%>
App.HAS_ERRORS = true;
<%
}
%>

Event.observe(window, "ready", Case.handleOnLoad);
</script>

<% model.writeToolBar(pageContext); %>

<div id="mainContent">
   <html:form action="/Case" onsubmit="return Case.handleDefaultSubmit(this)">
      <html:hidden property="key" />
      <html:hidden property="uiContextId" />
      <html:hidden property="viewMode" />
      <html:hidden property="windowLayout" />
      <html:hidden property="command" />
      <html:hidden property="forIncidentKey" />
      <html:hidden property="referrer" />
      <% model.writeScreen(pageContext, out); %>
      <% model.writeHiddenSubmitButton(out); %>
   </html:form>
</div>

<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>
<%@ include file="/components/util/SaveChangesConfirmationDialog.jsp" %>
<%@ include file="/components/util/ConfirmReportCorrectionDialog.jsp" %>
