<%-- Copyright (c) 2003-2009 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@page import="com.sas.solutions.cpb.web.util.CPBUtil"%>
<%@include file="/shell/default.jspf"%>
<%@ taglib uri="http://www.sas.com/cpb/tag" prefix="cpb"%>
<%@ taglib prefix="sas" uri="http://www.sas.com/taglib/sas" %>
<%@ taglib prefix="c"      uri="http://java.sun.com/jsp/jstl/core" %>
<%@page import="com.sas.solutions.casemgmt.web.incident.*"%>
<%@page import="com.sas.solutions.casemgmt.web.util.WebUtil"%>
<%@page import="com.sas.solutions.casemgmt.web.util.Referrer"%>
<%@ page import="com.sas.fsd.shared.util.StringUtil" %>
<%
IncidentActionModel model = IncidentActionModel.getFromRequest(request);
%>
<script type="text/javascript">
Incident.FORM_NAME = "<%=StringUtil.escapeJSForHTML(model.getFormName())%>";
Incident.OBJECT_TYPE = "<%=model.getObjectTypeId()%>";
Incident.KEY = "<%=model.getEntityKey()%>";
Incident.ID = "<%=StringUtil.escapeJSForHTML(model.getEntity().getId())%>";
Incident.UI_CONTEXT_ID = "<%=model.getEntityUIContext().getUIContextId()%>";
Incident.EDITABLE = <%=model.isPageEditable()%>;
Incident.REFERRER = "<%=Referrer.INCIDENT%>";
Incident.TITLE = "<%=CPBUtil.getPageTitle(request)%>";
Incident.SAVED = <%=model.getEntity().isSaved()%>;

<%
if (model.isPageEditable() && (!model.getEntity().isSaved() || model.hasErrorMessages()))
{
%>
SaveChangesConfirmation.setPageDirty(true);
<%
}
%>
<%
if (WebUtil.hasPageErrors(request))
{
%>
App.HAS_ERRORS = true;
<%
}
%>

Event.observe(window, "ready", Incident.handleOnLoad);
</script>

<% model.writeToolBar(pageContext); %>

<div id="mainContent">
   <html:form action="/Incident" onsubmit="return Incident.handleDefaultSubmit(this)">
      <html:hidden property="key" />
      <html:hidden property="uiContextId" />
      <html:hidden property="screenId" />
      <html:hidden property="viewMode" />
      <html:hidden property="windowLayout" />
      <html:hidden property="command" />
      <html:hidden property="autoLinkPartiesToCase" />
      <html:hidden property="autoAddFinancialItemsToCase" />
      <% model.writeScreen(pageContext, out); %>
      <% model.writeHiddenSubmitButton(out); %>
   </html:form>
</div>

<%@ include file="/components/util/SaveChangesConfirmationDialog.jsp" %>
<%@ include file="/components/util/ConfirmReportCorrectionDialog.jsp" %>
<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>
