<%-- Copyright (c) 2003-2008 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved. --%>
<%@page isErrorPage="true" %>
<%@page import="com.sas.solutions.casemgmt.web.util.WindowLayout"%>
<%@page import="com.sas.solutions.cpb.menu.Menu"%>
<%@page import="com.sas.solutions.casemgmt.util.AppSessionContext"%>
<%@page import="com.sas.solutions.casemgmt.util.AppSessionContextHolder"%>
<%@page import="com.sas.solutions.cpb.menu.DojoMenuRenderer"%>
<%@page import="com.sas.solutions.casemgmt.web.util.WebUtil"%>
<%@ page import="org.apache.commons.lang.StringEscapeUtils" %>
<%@ page import="org.apache.log4j.Logger"%>
<%@ page import="com.sas.framework.webapp.util.WebKey"%>
<%@ page import="com.sas.solutions.casemgmt.service.ServiceLocator" %>
<%@include file="/shell/default.jspf"%>

<script type="text/javascript">
require(['sas-cpb/cpb'], function(cpb) { cpb.appendBannerText(); });
</script>

<div id="mainErrorContent">
	<table border="0" cellpadding="0" cellspacing="0">
	   <tr>
	      <td colspan="4"><sas-ui:ThemeImage name="spacer" height="20" width="1"/></td>
	   </tr>
	   <tr>
	      <td><sas-ui:ThemeImage name="spacer" height="1" width="20"/></td>
	      <td nowrap valign="middle" width="37"><sas-ui:ThemeImage name="MessageError_32" border="0" height="32" width="32"/><sas-ui:ThemeImage name="spacer" width="5"/></td>
	      <td colspan="2"><span class="msg"><b><sas-ui:Text key="error.message" res="default" source="RESOURCE"/></b></span></td>
	      <td><sas-ui:ThemeImage name="spacer" height="1" width="5"/></td>
	   </tr>
	<%
	if (ServiceLocator.isDevelopmentMode())
	{
		Object servletError = request.getAttribute(WebKey.SERVLET_ERROR);
		if (servletError == null) {
			servletError = exception;
		}
		if (servletError != null)
		{
			String errorMessage = null;
			if (servletError instanceof Throwable) {
				errorMessage = ((Throwable) servletError).getLocalizedMessage();
			}
			else {
				errorMessage = servletError.toString();
			}
	%>
	   <tr>
	      <td></td>
	      <td></td>
	      <td colspan="2">
	         <div style="padding-top: 1em;">
	            <span style="font-weight: bold;"><fmt:message key="error.label.txt" bundle="${appResources}" /></span>
	            <%=StringEscapeUtils.escapeHtml(errorMessage)%>
	         </div>
		<%
		   if (servletError instanceof Throwable)
		   {
			  Throwable cause = ((Throwable)servletError).getCause();
			  while (cause != null)
			  {
		%>
				 <div style="padding-<%=WebUtil.getLeadingDirForLocale(request)%>: 1em; padding-top: 1em;">
					<span style="font-weight: bold;"><fmt:message key="causedBy.label.txt" bundle="${appResources}" /></span>
					<%=StringEscapeUtils.escapeHtml(cause.toString())%>
				 </div>
		<%
				 cause = cause.getCause();
			  }
		   }
		%>
		  </td>
	      <td></td>
	   </tr>
	<%
		}
	}
	%>
	</table>
</div>

<script type='text/javascript'>
var header = document.getElementsByTagName('header')[0];
header.innerHTML += '<div id="returnNavigationMenu" style="display: none"></div>';
</script>
<%
WindowLayout layout = WindowLayout.MODAL_DIALOG;
try {
    layout = WindowLayout.getWindowLayout(request);
} catch (IllegalArgumentException e) {
    Logger.getLogger(getClass()).error(e.toString());
}
if (layout!=WindowLayout.MODAL_DIALOG) {
    // Session may be invalidated already, among other possible problems we could encounter here.
   try {
       AppSessionContext sessionContext = AppSessionContextHolder.getAppSessionContext(session);
       Menu menu = sessionContext.getNavigationMenu("returnNavigationMenu", request);
       DojoMenuRenderer.render(menu, pageContext);
   } catch (Exception e) {
       // Log and move on without a menu.
       Logger.getLogger(getClass()).error(e.toString());
   }
}
%>

<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>