<%@page import="com.sas.solutions.casemgmt.cpb.web.datagrid.renderer.DataGridUserNameColumnRenderer"%>
<%@page import="com.sas.fsd.shared.util.StringUtil"%>
<%@page import="com.sas.solutions.cpb.runtime.UIContext"%>
<%@page import="com.sas.solutions.casemgmt.cpb.util.UIContextUtil"%>
<%@page import="com.sas.solutions.casemgmt.cpb.web.datagrid.renderer.DataGridRefTableColumnRendererFactory"%>
<%@page import="com.sas.solutions.casemgmt.cpb.web.datagrid.renderer.DataGridUserNameColumnRendererFactory"%>
<%@page import="com.sas.solutions.casemgmt.i18n.AppProperties"%>
<%@page import="com.sas.solutions.casemgmt.web.action.EFileReportsActionModel"%>
<%@page import="com.sas.solutions.casemgmt.web.efiling.EFilingForm"%>
<%@page import="com.sas.solutions.casemgmt.web.util.ReportWorkflowInfoItem"%>
<%@page import="org.apache.commons.collections.CollectionUtils"%>
<%@page import="java.util.List"%>
<%@page import="java.util.Map"%>

<%@include file="/shell/default.jspf"%>

<%@taglib prefix="sas-cm" uri="http://www.sas.com/casemgmt/tag"%>
<%@taglib prefix='bean'   uri='http://struts.apache.org/tags-bean'%>

<%
   EFileReportsActionModel model = EFileReportsActionModel.getFromRequest(request);
   EFilingForm efForm = (EFilingForm) request.getAttribute("EFilingForm");
   UIContext uiCtx = UIContextUtil.getCPBRuntimeService().getUIContext(request);
   DataGridRefTableColumnRendererFactory refFactory = new DataGridRefTableColumnRendererFactory();
%>

<script type='text/javascript'>/*<![CDATA[*/
                                          
<%=refFactory.createColumnRenderer(refFactory.getRendererId(), null, null, "RT_RR_STATUS").getJavaScriptFunction(uiCtx)%>;

<%= new DataGridUserNameColumnRenderer("user_id", false).getJavaScriptFunction(uiCtx) %>;

/*]]>*/</script>

<html:form method="post" action="/EFileReportSearch">
   <input id="efileKey" name="efileKey" type="hidden" value="${param.efileKey}" />
   <input id="uiContextId" name="uiContextId" type="hidden" value="${param.parentUIContextID}" />
   <input id="parentUIContextID" name="parentUIContextID" type="hidden" value="${param.parentUIContextID}" />
   <div id="mainContent">
      <html:hidden property="command" />
      
   <%
   if (CollectionUtils.isNotEmpty(model.getNonWorkflowList()))
   {  
   %>
      <!-- set up Non-Workflow entries for setting the DCN. -->
      <div id="dcn_pane"></div>
      <script type='text/javascript'>
         require(['sas-cpb/cpb', 'dgrid/Grid', 'dgrid/OnDemandGrid', 'dojo/store/Memory', 'dojo/store/DataStore', 
                  'sas-ecm/efiling/EFileReportsBulkUpdater', 'dgrid/selector', 'dgrid/Selection', 
                  'dojo/_base/declare', 'dojo/_base/array', 'dojo/query', 'dijit/registry', 'dojo/ready'],
            function(cpb, Grid, OnDemandGrid, Memory, DataStore, EFileReportsBulkUpdater, selector, 
                  Selection, declare, array, query, registry, ready) 
            {  
               ready(function() 
               {
                  var dcn_updater = new EFileReportsBulkUpdater({
                     name: 'dcn',
                     label: '<%=AppProperties.getProperty("section.bulk.reports.closed.header.txt")%>',
                     gridJson: eval('<%=StringUtil.escapeJSForHTML(model.getClosedReportsAsJSON())%>') 
                  }, 'dcn_pane');
                  dcn_updater.startup();
               });
            }
         );
      </script>
   <%
   }
   
   Map<String, List<ReportWorkflowInfoItem>> reportWorkflowMap = model.getReportWorkflowMap();
   for (Map.Entry<String, List<ReportWorkflowInfoItem>> entry : reportWorkflowMap.entrySet())
   {
      String label = entry.getKey();
      List<ReportWorkflowInfoItem> rptWfList = entry.getValue();
      ReportWorkflowInfoItem rwii = rptWfList.get(0);
      String name = model.getTaskLabel(rwii.getTask());
   %>
      <div id="<%=name%>_pane"></div>
      
      <script type='text/javascript'>
         require(['sas-cpb/cpb', 'dgrid/Grid', 'dgrid/OnDemandGrid', 'dojo/store/Memory', 'dojo/store/DataStore', 
                  'sas-ecm/efiling/EFileReportsBulkUpdater', 'dgrid/selector', 'dgrid/Selection', 
                  'dojo/_base/declare', 'dojo/_base/array', 'dojo/query', 'dijit/registry', 'dojo/ready'],
            function(cpb, Grid, OnDemandGrid, Memory, DataStore, EFileReportsBulkUpdater, selector, 
                  Selection, declare, array, query, registry, ready) 
            {  
               ready(function() 
               {
                  var <%=name%>_updater = new EFileReportsBulkUpdater({
                     name: '<%=name%>',
                     label: '<%=label%>',
                     gridJson: eval('<%=StringUtil.escapeJSForHTML(model.getWorkflowReportsAsJSON(entry.getValue()))%>'),
                     selectJson: eval('<%=StringUtil.escapeJSForHTML(model.getTaskSelectOptionsAsJSON(rwii.getTask()))%>') 
                  }, '<%=name%>_pane');
                  <%=name%>_updater.startup();
               });
            }
         );
      </script>
   <%
   }
   %>
   </div>
   <div class="dijitDialogPaneActionBar">
      <%
      model.writeBulkButtonBar(out);
      %>
   </div>
</html:form>

<%@include file="/ext/cpbcore/messages/ShowMessages.jsp" %>
